/* fonts */
@font-face {
  font-family: "Noto Kufi Arabic";
  src: url("../fonts/NotoKufiArabic.ttf");
}
:root {
  /* colors */
  --mainColor: #242424;
  --subColor1: #f9f9f9;
  --subColor2: #a9aaab;
  --subColor3: #707070;
  --subColor4: #333333;
  --subColor5: #1a1a1a;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

body {
  background-color: var(--mainColor);
  font-family: "Noto Kufi Arabic";
}

/* global rules */
.container {
  width: 100%;
  max-width: 1140px;
  margin: 0 auto;
  padding: 0 20px;
}

/* header */
.header {
  width: 100%;
  .headerContent {
    position: relative;
    width: 100%;
    height: 90px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    .logoSVG {
      width: 50px;
    }
    .siteName {
      direction: rtl;
      line-height: 20px;
      height: 50px;
      display: flex;
      justify-content: center;
      flex-flow: column wrap;
      color: var(--subColor1);
      & span:nth-child(1) {
        font-size: 24px;
        align-self: flex-start;
      }
      & span:nth-child(2) {
        font-size: 14px;
        margin-right: 2px;
      }
    }
  }
}
@media (max-width: 720px) {
  .header {
    position: fixed;
    top: 0;
    right: 0;
    background-color: var(--subColor5);
    box-shadow: 0 0 3px;
    .headerContent {
      height: 70px;
    }
  }
}

/* miniNavbar */
.miniNavbar {
  display: none;
}
@media (max-width: 720px) {
  .miniNavbar {
    display: block;
    background-color: var(--subColor5);
    border-radius: 25px 25px 0 0;
    box-shadow: 0 0 3px;
    padding: 0 10px;
    width: 100%;
    position: fixed;
    bottom: 0;
    left: 0;
    .miniNavbarContent {
      width: 100%;
      height: 60px;
      display: flex;
      justify-content: space-between;
      align-items: center;
      .navLink {
        text-decoration: none;
        display: flex;
        height: 50px;
        width: 50px;
        justify-content: center;
        align-items: center;
        color: var(--subColor1);
        .navIcon {
          font-size: 24px;
        }
      }
      .active {
        background-color: var(--subColor1);
        color: var(--mainColor);
        border-radius: 50%;
        margin-bottom: 50px;
        height: 70px;
        width: 70px;
        .navIcon {
          font-size: 32px;
        }
      }
    }
  }
}
